Package org.bukkit

# Class GameEvent

java.lang.Object
org.bukkit.GameEvent

All Implemented Interfaces:
  `net.kyori.adventure.key.Keyed`, `Keyed`

public final class GameEvent extends Object implements Keyed
Represents a generic Mojang game event.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final GameEvent`
`BLOCK_ATTACH`
`static final GameEvent`
`BLOCK_CHANGE`
`static final GameEvent`
`BLOCK_CLOSE`
`static final GameEvent`
`BLOCK_DESTROY`
`static final GameEvent`
`BLOCK_DETACH`
`static final GameEvent`
`BLOCK_OPEN`
`static final GameEvent`
`BLOCK_PLACE`
`static final GameEvent`
`BLOCK_PRESS`
`static final GameEvent`
`BLOCK_SWITCH`
`static final GameEvent`
`BLOCK_UNPRESS`
`static final GameEvent`
`BLOCK_UNSWITCH`
`static final GameEvent`
`CONTAINER_CLOSE`
`static final GameEvent`
`CONTAINER_OPEN`
`static final GameEvent`
`DISPENSE_FAIL`
`static final GameEvent`
`DRINKING_FINISH`
`static final GameEvent`
`EAT`
`static final GameEvent`
`ELYTRA_FREE_FALL`
`static final GameEvent`
`ENTITY_DAMAGED`
`static final GameEvent`
`ENTITY_KILLED`
`static final GameEvent`
`ENTITY_PLACE`
`static final GameEvent`
`EQUIP`
`static final GameEvent`
`EXPLODE`
`static final GameEvent`
`FISHING_ROD_CAST`
`static final GameEvent`
`FISHING_ROD_REEL_IN`
`static final GameEvent`
`FLAP`
`static final GameEvent`
`FLUID_PICKUP`
`static final GameEvent`
`FLUID_PLACE`
`static final GameEvent`
`HIT_GROUND`
`static final GameEvent`
`LIGHTNING_STRIKE`
`static final GameEvent`
`MINECART_MOVING`
`static final GameEvent`
`MOB_INTERACT`
`static final GameEvent`
`PISTON_CONTRACT`
`static final GameEvent`
`PISTON_EXTEND`
`static final GameEvent`
`PRIME_FUSE`
`static final GameEvent`
`PROJECTILE_LAND`
`static final GameEvent`
`PROJECTILE_SHOOT`
`static final GameEvent`
`RAVAGER_ROAR`
`static final GameEvent`
`RING_BELL`
`static final GameEvent`
`SHEAR`
`static final GameEvent`
`SHULKER_CLOSE`
`static final GameEvent`
`SHULKER_OPEN`
`static final GameEvent`
`SPLASH`
`static final GameEvent`
`STEP`
`static final GameEvent`
`SWIM`
`static final GameEvent`
`WOLF_SHAKING`

## Method Summary

Modifier and Type
Method
Description
`static @Nullable GameEvent`
`getByKey(@NotNull NamespacedKey namespacedKey)`
Returns a `GameEvent` by a `NamespacedKey`.
`@NotNull NamespacedKey`
`getKey()`
Return the namespaced identifier for this object.
`static @NotNull Collection<GameEvent>`
`values()`
Returns the set of all GameEvents.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.bukkit.Keyed

`key`

## Field Details

### BLOCK_ATTACH

public static final GameEvent BLOCK_ATTACH

### BLOCK_CHANGE

public static final GameEvent BLOCK_CHANGE

### BLOCK_CLOSE

public static final GameEvent BLOCK_CLOSE

### BLOCK_DESTROY

public static final GameEvent BLOCK_DESTROY

### BLOCK_DETACH

public static final GameEvent BLOCK_DETACH

### BLOCK_OPEN

public static final GameEvent BLOCK_OPEN

### BLOCK_PLACE

public static final GameEvent BLOCK_PLACE

### BLOCK_PRESS

public static final GameEvent BLOCK_PRESS

### BLOCK_SWITCH

public static final GameEvent BLOCK_SWITCH

### BLOCK_UNPRESS

public static final GameEvent BLOCK_UNPRESS

### BLOCK_UNSWITCH

public static final GameEvent BLOCK_UNSWITCH

### CONTAINER_CLOSE

public static final GameEvent CONTAINER_CLOSE

### CONTAINER_OPEN

public static final GameEvent CONTAINER_OPEN

### DISPENSE_FAIL

public static final GameEvent DISPENSE_FAIL

### DRINKING_FINISH

public static final GameEvent DRINKING_FINISH

### EAT

public static final GameEvent EAT

### ELYTRA_FREE_FALL

public static final GameEvent ELYTRA_FREE_FALL

### ENTITY_DAMAGED

public static final GameEvent ENTITY_DAMAGED

### ENTITY_KILLED

public static final GameEvent ENTITY_KILLED

### ENTITY_PLACE

public static final GameEvent ENTITY_PLACE

### EQUIP

public static final GameEvent EQUIP

### EXPLODE

public static final GameEvent EXPLODE

### FISHING_ROD_CAST

public static final GameEvent FISHING_ROD_CAST

### FISHING_ROD_REEL_IN

public static final GameEvent FISHING_ROD_REEL_IN

### FLAP

public static final GameEvent FLAP

### FLUID_PICKUP

public static final GameEvent FLUID_PICKUP

### FLUID_PLACE

public static final GameEvent FLUID_PLACE

### HIT_GROUND

public static final GameEvent HIT_GROUND

### LIGHTNING_STRIKE

public static final GameEvent LIGHTNING_STRIKE

### MINECART_MOVING

public static final GameEvent MINECART_MOVING

### MOB_INTERACT

public static final GameEvent MOB_INTERACT

### PISTON_CONTRACT

public static final GameEvent PISTON_CONTRACT

### PISTON_EXTEND

public static final GameEvent PISTON_EXTEND

### PRIME_FUSE

public static final GameEvent PRIME_FUSE

### PROJECTILE_LAND

public static final GameEvent PROJECTILE_LAND

### PROJECTILE_SHOOT

public static final GameEvent PROJECTILE_SHOOT

### RAVAGER_ROAR

public static final GameEvent RAVAGER_ROAR

### RING_BELL

public static final GameEvent RING_BELL

### SHEAR

public static final GameEvent SHEAR

### SHULKER_CLOSE

public static final GameEvent SHULKER_CLOSE

### SHULKER_OPEN

public static final GameEvent SHULKER_OPEN

### SPLASH

public static final GameEvent SPLASH

### STEP

public static final GameEvent STEP

### SWIM

public static final GameEvent SWIM

### WOLF_SHAKING

public static final GameEvent WOLF_SHAKING

## Method Details

### getKey

@NotNull public @NotNull NamespacedKey getKey()
Description copied from interface: `Keyed`
Return the namespaced identifier for this object.

Specified by:
  `getKey` in interface `Keyed`
Returns:
  this object's key

### getByKey

@Nullable public static @Nullable GameEvent getByKey(@NotNull @NotNull NamespacedKey namespacedKey)
Returns a `GameEvent` by a `NamespacedKey`.

Parameters:
  `namespacedKey` - the key
Returns:
  the event or null

### values

@NotNull public static @NotNull Collection<GameEvent> values()
Returns the set of all GameEvents.

Returns:
  the memoryKeys